/*
 * @Author: yuananting
 * @Date: 2021-03-03 15:13:12
 * @LastEditors: yuananting
 * @LastEditTime: 2021-03-13 20:46:54
 * @Description: 助学工具接口
 * @Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */

import Service from "@/common/js/service";

export function queryCategoryTree(params: object) {
  return Service.Hades("anon/hades/category/queryCategoryTree", params);
}

export function addCategory(params: object) {
  return Service.Hades("anon/hades/category/addCategory", params);
}

export function delCategory(params: object) {
  return Service.Hades("anon/hades/category/delCategory", params);
}

export function editCategory(params: object) {
  return Service.Hades("anon/hades/category/editCategory", params);
}

export function editCategoryTree(params: object) {
  return Service.Hades("anon/hades/category/editCategoryTree", params);
}

export function queryQuestionCategoryTree(params: object) {
  return Service.Hades("anon/hades/question/queryCategoryTree", params);
}

export function queryQuestionPageList(params: object) {
  return Service.Hades("anon/hades/question/queryQuestionPageList", params);
}

export function addQuestion(params: object) {
  return Service.Hades("anon/hades/question/addQuestion", params);
}

export function deleteQuestion(params: object) {
  return Service.Hades("anon/hades/question/deleteQuestion", params);
}